%Entropy of mixing calculator
% N is number of molecules, M is number of energy quanta

%System A
N_A = 5;
M_A = 10;

%System B
N_B = 10;
M_B = 5;

%Calculate Boltzmann entropy before and after mixing, in units of kB
S_A = log( factorial( N_A + M_A -1 )/( factorial(M_A) * factorial( N_A-1 ) ) ) ;
S_B = log( factorial( N_B + M_B -1 )/( factorial(M_B) * factorial( N_B-1 ) ) ) ;
N = N_A + N_B;
M = M_A + M_B;
S = log( factorial( N + M -1 )/( factorial(M) * factorial( N-1 ) ) ) ;

%Calculate entropy change, in units of kB
delta_S = S - S_A - S_B;

%Display answer to command window
disp(' ');
disp(' ENTROPY OF MIXING CALCULATOR ')
disp([ ' If system A has ',num2str(M_A),' quanta in ',num2str(N_A),' molecules, and ',...
    'system B has ',num2str(M_A),' quanta in ',num2str(N_A),' molecules'] );
disp([' Entropy change following mixing is: ',num2str(delta_S),'k_B.']);
disp(' ');

%End of code

    
   